class EnergyBall extends Position
{
   var target_clip;
   var onEnterFrame;
   var speed_z = 0;
   var range = 40;
   var missile = true;
   function EnergyBall()
   {
      super();
      this.target_clip = this._parent.player;
   }
   function launch(p_launcher, p_range, p_speed)
   {
      this.posX = p_launcher.posX;
      this.posY = p_launcher.posY - 50;
      this.posZ = p_launcher.posZ + 20;
      this.range = p_range;
      this.speed_z = p_speed;
      this.onEnterFrame = function()
      {
         if(!_global.game_paused)
         {
            this.moveZ();
            if(this.checkTarget())
            {
               this.target_clip.getEnergyBalled();
            }
            if(this.render_z < -200)
            {
               this.removeMovieClip();
            }
         }
      };
      return this;
   }
   function checkTarget()
   {
      return this.distance3D(this.target_clip) < this.range;
   }
   function moveZ()
   {
      this.pos_z += this.speed_z;
   }
}
